// InputOpt.h : header file
// Copyright (c) 1999 ID8 Media
// Written by Edwin P. Berlin, Jr., Secret Software
//

/////////////////////////////////////////////////////////////////////////////
// CInputOpt dialog

class CInputOpt : public CDialog
{
public:
	// Construction
	CInputOpt(CWnd* pParent = NULL);   // standard constructor

	//Sets up list of suits
	void InitSuitList();

// Dialog Data
	//{{AFX_DATA(CInputOpt)
	enum { IDD = IDD_INPUTOPTIONS };
	float	m_FPS;
	int		m_limit;
	BOOL	m_stop;
	int		m_suit_number;
	BOOL	m_delayEnable;
	int		m_delay;
	BOOL	m_beep;
	BOOL	m_usePosition;
	BOOL	m_Autoload;
	//}}AFX_DATA
	BOOL	m_FramesOrSeconds;	//False if m_limit is in seconds
	int		m_frames;			//Total frame limit
	SuitInfo m_info;			//Info for current suit


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInputOpt)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CInputOpt)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnFrames();
	afx_msg void OnSeconds();
	afx_msg void OnFind();
	afx_msg void OnSelchangeSuitnumber();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.
